L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Noyau Linux : accès mémoire via PowerPC KGDB

Synthèse de la vulnérabilité 

Lorsque le noyau est compilé avec le support KGDB, et qu'il s'exécute sur un processeur PowerPC, un attaquant local peut écrire dans toutes les pages mémoire.
Logiciels impactés : Debian, Fedora, Linux, openSUSE, SLES.
Gravité de cette vulnérabilité informatique : 2/4.
Date de création : 30/04/2010.
Références de cette annonce : BID-39798, CVE-2010-1446, DSA-2053-1, FEDORA-2010-9209, SUSE-SA:2010:031, VIGILANCE-VUL-9622.

Description de la vulnérabilité 

Le noyau Linux peut être compilé avec le support KGDB, afin de pouvoir le déboguer avec gdb.

Cependant, dans ce cas, le noyau ne vérifie pas si l'utilisateur est autorisé à accéder à une page mémoire :
 - dans la fonction settlbcam() du fichier arch/powerpc/mm/fsl_booke_mmu.c
 - dans la fonction setbat() du fichier arch/powerpc/mm/ppc_mmu_32.c

Lorsque le noyau est compilé avec le support KGDB, et qu'il s'exécute sur un processeur PowerPC, un attaquant local peut donc écrire dans toutes les pages mémoire.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cette annonce sécurité concerne les logiciels ou systèmes comme Debian, Fedora, Linux, openSUSE, SLES.

Notre équipe Vigil@nce a déterminé que la gravité de cet avis de vulnérabilité est moyen.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de shell utilisateur.

Un attaquant avec un niveau de compétence expert peut exploiter ce bulletin de faille.

Solutions pour cette menace 

Noyau Linux : version 2.6.34.
La version 2.6.34 est corrigée :
  http://www.kernel.org/pub/linux/kernel/v2.6/

Noyau Linux : version 2.6.33.4.
La version 2.6.33.4 est corrigée :
  http://www.kernel.org/pub/linux/kernel/v2.6/

Noyau Linux : version 2.6.32.13.
La version 2.6.32.13 est corrigée :
  http://www.kernel.org/pub/linux/kernel/v2.6/

Noyau Linux : patch pour PowerPC KGDB.
Un patch est disponible dans les sources d'information.

Debian : nouveaux paquetages linux-2.6.
De nouveaux paquetages sont disponibles :
  http://security.debian.org/pool/updates/main/l/linux-2.6/linux-*-2.6.26_2.6.26-22lenny1_*.deb

Fedora 12 : nouveaux paquetages kernel.
De nouveaux paquetages sont disponibles :
  kernel-2.6.32.14-127.fc12

SUSE : nouveaux paquetages kernel (20/07/2010).
De nouveaux paquetages sont disponibles, comme indiqué dans les sources d'informations.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit une contre-mesure de vulnérabilités informatiques. Chaque administrateur peut personnaliser la liste des produits pour lesquels il souhaite recevoir des alertes de vulnérabilités.